Bug 1196925 - Unable to install packages on s390 using ZYPP_SINGLE_RPMTRANS=1
Unable to install packages on s390 using ZYPP_SINGLE_RPMTRANS=1
Status: RESOLVED FIXED
Classification: openSUSE
Product: PUBLIC SUSE Linux Enterprise Server 15 SP4
Classification: openSUSE
Component: zypper
unspecified
S/390-64 Other
: P2 - High : Major
: ---
Assigned To: E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-09 12:35 UTC by Dominik Heidler
Modified: 2022-07-14 13:17 UTC (History)
7 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
zypper.log (921.91 KB, text/x-log)
2022-03-09 12:35 UTC, Dominik Heidler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Heidler 2022-03-09 12:35:19 UTC
Created attachment 856879 [details]
zypper.log

# cat /etc/os-release
NAME="openSUSE Tumbleweed"
# VERSION="20220307"
[…]


# export ZYPP_SINGLE_RPMTRANS=1
# zypper in tmux
Loading repository data...
Reading installed packages...
[TechPreview] $ZYPP_SINGLE_RPMTRANS=1 : New rpm install backend is enabled
              If you find any bugs or issues please let us know:
              https://bugzilla.opensuse.org/
              Component: libzypp (or zypper)
              And please attach the /var/log/zypper.log to the bug report.
Resolving package dependencies...

The following 2 NEW packages are going to be installed:
  libevent-2_1-7 tmux

2 new packages to install.
Overall download size: 719.9 KiB. Already cached: 0 B. After the operation, additional 2.0 MiB will be used.
Continue? [y/n/v/...? shows all options] (y): 
Retrieving package libevent-2_1-7-2.1.12-2.4.s390x                                (1/2), 285.7 KiB (960.1 KiB unpacked)
Retrieving: libevent-2_1-7-2.1.12-2.4.s390x.rpm .................................................................[done]
Retrieving package tmux-3.2a-1.2.s390x                                            (2/2), 434.2 KiB (  1.1 MiB unpacked)
Retrieving: tmux-3.2a-1.2.s390x.rpm .............................................................................[done]

The following 0 package installations were skipped:
  libevent-2_1-7 tmux
Comment 1 Dominik Heidler 2022-03-09 12:40:02 UTC
Interestingly the package seems to actually get installed even though nothing indicates this to the user.
Comment 4 Michael Andres 2022-03-09 17:10:13 UTC
(In reply to Dominik Heidler from comment #1)
> Interestingly the package seems to actually get installed even though
> nothing indicates this to the user.

Yes the actual transaction should always proceed to its end; even if zypp/yast/etc. dies.

Looks like just the socket communication, triggering the progress, fails on s390.
Comment 5 Benjamin Zeller 2022-03-10 14:11:32 UTC
Actually its a type mismatch 32bit vs 64bit when deserializing a message from the communications pipe.
Comment 6 Benjamin Zeller 2022-03-10 14:11:40 UTC
https://github.com/openSUSE/libzypp/pull/380
Comment 7 Benjamin Zeller 2022-03-10 14:30:31 UTC
Fixed in libzypp >= 17.29.6
Comment 9 Sarah Kriesch 2022-03-17 09:14:29 UTC
We have got this libzypp version in Tumbleweed, but our tests are failing continuously with exactly this test.
Comment 10 Sarah Kriesch 2022-03-17 09:15:52 UTC
See: https://openqa.opensuse.org/tests/2247873#step/zypper_in/26
Comment 11 Sarah Kriesch 2022-03-17 09:23:22 UTC
Reopen the bug
Comment 12 Benjamin Zeller 2022-03-17 10:02:18 UTC
According to your logs you use libzypp: 17.29.5, 
however the fix is available from libzypp >= 17.29.6

Please try again with the up 2 date version
Comment 13 Benjamin Zeller 2022-03-17 10:10:38 UTC
Closing, since test used a old libzypp version
Comment 16 Joaquín Rivera 2022-03-28 06:04:10 UTC
we got a slightly different error with libzypp [17.29.6-150400.1.1.s390x]:
"Package header is not signed"
https://openqa.suse.de/tests/8344837#step/zypper_in/12
Comment 17 Joaquín Rivera 2022-03-28 06:25:36 UTC
sorry, wrong link, this is for latest build 117.1 aarch64:
libzypp [17.29.6-150400.1.1.aarch64]
https://openqa.suse.de/tests/8407582#step/zypper_in/14
Comment 18 Benjamin Zeller 2022-03-28 06:28:51 UTC
(In reply to Joaquín Rivera from comment #16)
> we got a slightly different error with libzypp [17.29.6-150400.1.1.s390x]:
> "Package header is not signed"
> https://openqa.suse.de/tests/8344837#step/zypper_in/12

(In reply to Joaquín Rivera from comment #17)
> sorry, wrong link, this is for latest build 117.1 aarch64:
> libzypp [17.29.6-150400.1.1.aarch64]
> https://openqa.suse.de/tests/8407582#step/zypper_in/14

From what I can see the error in both cases is that the preinstall script fails:
%prein(hello0-0.1-0.noarch) scriptlet failed, exit status 1

IIRC preinstall scripts are required to finish without error by RPM. So 
this should be the expected behaviour even with ZYPP_SINGLE_RPMTRANS disabled...
Comment 19 Dominik Heidler 2022-03-28 09:28:07 UTC
The unsigned package thingie is just a warning (we run zypper with --allow-unsigned-rpm as the rpm is in fact not signed) that can be ignored.

It might be worth to mention that this warning doesn't seem to appear in ZYPP_SINGLE_RPMTRANS mode, though.

Anyway the actual issue here is that zypper hangs up during the ZYPP_SINGLE_RPMTRANS installation and doesn't return.
This sounds familiar.

We don't have more logs because for some strange reason there is not curl installed:
https://openqa.suse.de/tests/8407582#step/zypper_in/30

@Benjamin
This is aarch64 - so little which shouldn't have had the s390x issue.
But I think it is a duplicate of https://bugzilla.suse.com/show_bug.cgi?id=1197134
WHYT?
Comment 20 Dominik Heidler 2022-03-28 09:29:01 UTC
*little endian
Comment 21 Benjamin Zeller 2022-03-28 09:44:33 UTC
(In reply to Dominik Heidler from comment #19)
> The unsigned package thingie is just a warning (we run zypper with
> --allow-unsigned-rpm as the rpm is in fact not signed) that can be ignored.
> 
> It might be worth to mention that this warning doesn't seem to appear in
> ZYPP_SINGLE_RPMTRANS mode, though.
> 
> Anyway the actual issue here is that zypper hangs up during the
> ZYPP_SINGLE_RPMTRANS installation and doesn't return.
> This sounds familiar.
> 
> We don't have more logs because for some strange reason there is not curl
> installed:
> https://openqa.suse.de/tests/8407582#step/zypper_in/30
> 
> @Benjamin
> This is aarch64 - so little which shouldn't have had the s390x issue.
> But I think it is a duplicate of
> https://bugzilla.suse.com/show_bug.cgi?id=1197134
> WHYT?

Yes, since the test still uses 17.29.6 it does not have yet the fix for https://bugzilla.suse.com/show_bug.cgi?id=1197134 .
Comment 22 Swamp Workflow Management 2022-04-08 13:20:30 UTC
SUSE-SU-2022:1130-1: An update that contains security fixes can now be installed.

Category: security (important)
Bug References: 1184501,1194848,1195999,1196061,1196317,1196368,1196514,1196925,1197134
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    libsolv-0.7.22-150000.3.51.1, libzypp-17.30.0-150000.3.95.1, zypper-1.14.52-150000.3.69.2
SUSE Linux Enterprise Server 15-LTSS (src):    libsolv-0.7.22-150000.3.51.1, libzypp-17.30.0-150000.3.95.1, zypper-1.14.52-150000.3.69.2
SUSE Linux Enterprise Installer 15 (src):    libsolv-0.7.22-150000.3.51.1, libzypp-17.30.0-150000.3.95.1, zypper-1.14.52-150000.3.69.2
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    libsolv-0.7.22-150000.3.51.1, libzypp-17.30.0-150000.3.95.1, zypper-1.14.52-150000.3.69.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    libsolv-0.7.22-150000.3.51.1, libzypp-17.30.0-150000.3.95.1, zypper-1.14.52-150000.3.69.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 23 Swamp Workflow Management 2022-04-08 13:21:54 UTC
SUSE-SU-2022:1131-1: An update that contains security fixes can now be installed.

Category: security (important)
Bug References: 1184501,1194848,1195999,1196061,1196317,1196368,1196514,1196925,1197134
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    libsolv-0.7.22-150100.4.6.1, libzypp-17.30.0-150100.3.78.1, zypper-1.14.52-150100.3.55.2
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    libsolv-0.7.22-150100.4.6.1, libzypp-17.30.0-150100.3.78.1, zypper-1.14.52-150100.3.55.2
SUSE Linux Enterprise Server 15-SP1-BCL (src):    libsolv-0.7.22-150100.4.6.1, libzypp-17.30.0-150100.3.78.1, zypper-1.14.52-150100.3.55.2
SUSE Linux Enterprise Installer 15-SP1 (src):    libsolv-0.7.22-150100.4.6.1, libzypp-17.30.0-150100.3.78.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    libsolv-0.7.22-150100.4.6.1, libzypp-17.30.0-150100.3.78.1, zypper-1.14.52-150100.3.55.2
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    libsolv-0.7.22-150100.4.6.1, libzypp-17.30.0-150100.3.78.1, zypper-1.14.52-150100.3.55.2
SUSE Enterprise Storage 6 (src):    libsolv-0.7.22-150100.4.6.1, libzypp-17.30.0-150100.3.78.1, zypper-1.14.52-150100.3.55.2
SUSE CaaS Platform 4.0 (src):    libsolv-0.7.22-150100.4.6.1, libzypp-17.30.0-150100.3.78.1, zypper-1.14.52-150100.3.55.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 24 Swamp Workflow Management 2022-04-12 16:30:00 UTC
SUSE-SU-2022:1157-1: An update that contains security fixes can now be installed.

Category: security (important)
Bug References: 1184501,1194848,1195999,1196061,1196317,1196368,1196514,1196925,1197134
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Manager Server 4.1 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Manager Retail Branch Server 4.1 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Manager Proxy 4.1 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Linux Enterprise Server 15-SP2-BCL (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    libsolv-0.7.22-150200.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Linux Enterprise Micro 5.1 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Linux Enterprise Micro 5.0 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Linux Enterprise Installer 15-SP2 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2
SUSE Enterprise Storage 7 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 25 Swamp Workflow Management 2022-07-14 13:17:17 UTC
SUSE-SU-2022:1157-2: An update that contains security fixes can now be installed.

Category: security (important)
Bug References: 1184501,1194848,1195999,1196061,1196317,1196368,1196514,1196925,1197134
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Micro 5.2 (src):    libsolv-0.7.22-150200.12.1, libzypp-17.30.0-150200.36.1, zypper-1.14.52-150200.30.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.